Album: CLUBSTUCK
Date: October 13, 2023
Date Added: September 29, 2025
URLs:
- https://galvanisticyoungboy.bandcamp.com/album/clubstuck
- https://www.youtube.com/watch?v=uGhrsiPqDoc
Artists:
- nocturnalJewel
Cover Artists:
- Homestuck
Default Track Cover Artists:
- Homestuck
Cover Artwork:
- Origin Details: >-
    From [page 5283](https://www.homestuck.com/story/5283)
  Tags:
  - John
  - Jade
  - Breath
Cover Art File Extension: png
Track Art File Extension: png
Color: '#07e1ff'
Groups:
- Fandom
Commentary: |-
    <i>nocturnalJewel:</i> ([Bandcamp about blurb](https://galvanisticyoungboy.bandcamp.com/album/clubstuck))
    You like Homestuck? You like Jersey club? You likely didn't answer "yes" to both, but here's an EP of both.<br>
    All cover art contains at least a little bit of spoilers.
Crediting Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/album/clubstuck))
    All of the art is from Homestuck, drawn by Andrew Hussie.<br>
    Original tracks are in the track credits.
---
Track: '"SHOWDOWN? MORE LIKE SHOWTIME!" [@nocturnalJewel edit] #HOM3STUCK #JerseyClub'
Duration: 2:07
Track Artwork:
- Origin Details: >-
    From [page 7](https://www.homestuck.com/story/7)
  Tags:
  - John
  - John's home
Sampled Tracks:
- track:showtime-original-mix
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/showdown-more-like-showtime-nocturnaljewel-edit-hom3stuck-jerseyclub
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/showdown-more-like-showtime-nocturnaljewel-edit-hom3stuck-jerseyclub))
    [[Showtime (Original Mix)]], by [[artist:malcolm-brown]]
---
Track: "man, don't put me on speaker crab. #Jerseyclub"
Duration: 1:07
Track Artwork:
- Origin Details: >-
    From [page 5935](https://www.homestuck.com/story/5935)
  Tags:
  - Karkat
  - Trolls' meteor
  - Time
Sampled Tracks:
- Speaker Crab
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/man-dont-put-me-on-speaker-crab-jerseyclub
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/man-dont-put-me-on-speaker-crab-jerseyclub))
    Voices provided by [[artist:k7vin]]; https://www.youtube.com/watch?v=vWheTEdNGxI
---
Track: sburb aint know whatll hit em @nocturnalJewel 180bpm
Duration: 1:46
Track Artwork:
- Origin Details: >-
    From [page 405](https://homestuck.com/story/405)
  Tags:
  - John
Sampled Tracks:
- track:sburban-countdown
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/sburb-aint-know-whatll-hit-em-nocturnaljewel-180bpm
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/sburb-aint-know-whatll-hit-em-nocturnaljewel-180bpm))
    [[Sburban Countdown]], by [[artist:mark-j-hadley]] and [[artist:michael-guy-bowman]]
---
Track: '#J3RS3YCLUB'
Duration: 2:15
Track Artwork:
- Origin Details: >-
    From [page 2033](https://homestuck.com/story/2033)
  Tags:
  - Terezi
  - Scalemates
Sampled Tracks:
- The Lemonsnout Turnabout
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/j3rs3yclub
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/j3rs3yclub))
    [[The Lemonsnout Turnabout]], by [[artist:toby-fox]]
---
Track: '@nocturnalJewel x booty bouncin in the elevator #jerseyclub'
Duration: 2:06
Track Artwork:
- Origin Details: >-
    From [page 4828](https://homestuck.com/story/4828)
  Tags:
  - Gamzee
  - Jane's home
Sampled Tracks:
- track:elevatorstuck
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/nocturnaljewel-x-booty-bouncin-in-the-elevator-jerseyclub
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/nocturnaljewel-x-booty-bouncin-in-the-elevator-jerseyclub))
    [[Elevatorstuck]], by [[artist:tensei]]
---
Track: 'CON AIR NATIONAL ANTHEM #homestuck #JERSEYCLUB @nocturnalJewel'
Duration: 1:42
Track Artwork:
- Origin Details: >-
    From [page 2016](https://homestuck.com/story/2016)
  Tags:
  - Gamzee
  - Gamzee's hive
Sampled Tracks:
- track:miracles
URLs:
- https://galvanisticyoungboy.bandcamp.com/track/con-air-national-anthem-homestuck-jerseyclub-nocturnaljewel
Referencing Sources: |-
    <i>nocturnalJewel:</i> ([Bandcamp credits blurb](https://galvanisticyoungboy.bandcamp.com/track/con-air-national-anthem-homestuck-jerseyclub-nocturnaljewel))
    [[track:miracles|mIrAcLeS]], by [[artist:toby-fox]]
